org.eclipse.net4j.util.concurrent

## Class Stoppable

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.Stoppable

- All Implemented Interfaces:
    java.lang.Runnable

      public abstract class Stoppable
      extends java.lang.Object
      implements java.lang.Runnable

  A `runnable` that can be `stopped`.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stoppable()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `doRun()`
    `boolean` | `isStopped()`
    `void` | `run()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stoppable

          public Stoppable()

  - ### Method Detail

    - #### isStopped

          public final boolean isStopped()

    - #### stop

          public final void stop()

    - #### run

          public final void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### doRun

          protected abstract void doRun()
                                 throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html